"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropdownList = void 0;

var _react = _interopRequireDefault(require("react"));

var _nativeBase = require("native-base");

var _reactNative = require("react-native");

var _TreeListItem = require("./TreeListItem");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const styles = _reactNative.StyleSheet.create({
  barContainer: {
    padding: 5,
    justifyContent: 'center',
    flexDirection: 'row'
  },
  icon: {},
  doneButton: {
    alignItems: 'center',
    justifyContent: 'center',
    margin: 10,
    flexDirection: 'row',
    borderBottomWidth: 0
  },
  cancel: {
    color: '#5FC9F8'
  }
});

const DropdownList = props => {
  const {
    data,
    value,
    showModal,
    closeModal,
    onChange,
    childName,
    parentName
  } = props;

  const doneSelect = () => {
    closeModal();
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    visible: showModal,
    onDismiss: closeModal
  }, /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_nativeBase.View, {
    style: styles.barContainer
  }, /*#__PURE__*/_react.default.createElement(_nativeBase.Item, {
    style: styles.doneButton
  }, /*#__PURE__*/_react.default.createElement(_nativeBase.Text, {
    style: styles.cancel,
    onPress: doneSelect
  }, "Done"))), data.length === 0 ? /*#__PURE__*/_react.default.createElement(_nativeBase.Spinner, {
    color: "green"
  }) : /*#__PURE__*/_react.default.createElement(_TreeListItem.TreeListItem, {
    data: data,
    childName: childName,
    parentName: parentName,
    value: value,
    onChange: onChange
  })));
};

exports.DropdownList = DropdownList;
//# sourceMappingURL=DropdownList.js.map