"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Modal = void 0;

var _react = _interopRequireDefault(require("react"));

var _Button = require("../button/Button");

var _AntDesign = _interopRequireDefault(require("react-native-vector-icons/AntDesign"));

var _reactNative = require("react-native");

var _nativeBase = require("native-base");

var _styles = require("./styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Modal = props => {
  const {
    children,
    close,
    text,
    title,
    titleProps,
    textProps,
    buttonType,
    buttonText,
    onButtonConfirm,
    hideDivider,
    type,
    confirmModalProps,
    showCancelIcon,
    modalViewStyle
  } = props;

  const renderCloseButton = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        position: 'absolute',
        left: 0,
        top: 0,
        zIndex: 5,
        margin: 5
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: () => close(),
      style: {
        width: 50,
        height: 50
      }
    }, /*#__PURE__*/_react.default.createElement(_AntDesign.default, {
      name: 'close',
      style: {
        fontSize: 25
      }
    })));
  };

  const renderModalDefault = (titleStyle, textStyle) => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, _extends({
      animationType: "slide",
      transparent: true,
      onRequestClose: close
    }, props), /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
      translucent: true,
      backgroundColor: "rgba(0, 0, 0, 0.5)"
    }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      style: _styles.styles.centeredView,
      onPress: close
    }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [_styles.styles.modalView, modalViewStyle]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, showCancelIcon && showCancelIcon && renderCloseButton(), /*#__PURE__*/_react.default.createElement(_nativeBase.Text, {
      style: (titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) !== undefined ? _objectSpread(_objectSpread({}, titleStyle), titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) : titleStyle
    }, title), (hideDivider === undefined || !hideDivider) && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _styles.styles.horizontalLine
    }), /*#__PURE__*/_react.default.createElement(_nativeBase.Text, {
      style: (textProps === null || textProps === void 0 ? void 0 : textProps.style) !== undefined ? _objectSpread(_objectSpread({}, textStyle), textProps === null || textProps === void 0 ? void 0 : textProps.style) : textStyle
    }, text), /*#__PURE__*/_react.default.createElement(_Button.Button, {
      type: buttonType,
      style: _styles.styles.button,
      onPress: onButtonConfirm
    }, buttonText !== null && buttonText !== void 0 ? buttonText : 'Return'), children)))));
  };

  const renderModelConfirm = (titleStyle, textStyle) => {
    const {
      rightButtonLabel,
      leftButtonLabel,
      leftButtonCallback,
      rightButtonCallback,
      leftButtonType,
      rightButtonType
    } = confirmModalProps;
    return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, _extends({
      animationType: "slide",
      transparent: true,
      onRequestClose: close
    }, props), /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
      translucent: true,
      backgroundColor: "rgba(0, 0, 0, 0.5)"
    }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      style: _styles.styles.centeredView,
      onPress: close
    }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _styles.styles.modalView
    }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, showCancelIcon && showCancelIcon && renderCloseButton(), /*#__PURE__*/_react.default.createElement(_nativeBase.Text, {
      style: (titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) !== undefined ? _objectSpread(_objectSpread({}, titleStyle), titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) : titleStyle
    }, title), (hideDivider === undefined || !hideDivider) && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _styles.styles.horizontalLine
    }), /*#__PURE__*/_react.default.createElement(_nativeBase.Text, {
      style: (textProps === null || textProps === void 0 ? void 0 : textProps.style) !== undefined ? _objectSpread(_objectSpread({}, textStyle), textProps === null || textProps === void 0 ? void 0 : textProps.style) : textStyle
    }, text), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _styles.styles.rowBox
    }, /*#__PURE__*/_react.default.createElement(_Button.Button, {
      type: leftButtonType !== null && leftButtonType !== void 0 ? leftButtonType : 'success',
      style: _styles.styles.confirmButton,
      onPress: leftButtonCallback
    }, leftButtonLabel !== null && leftButtonLabel !== void 0 ? leftButtonLabel : 'Yes'), /*#__PURE__*/_react.default.createElement(_Button.Button, {
      type: rightButtonType !== null && rightButtonType !== void 0 ? rightButtonType : 'danger',
      style: _styles.styles.confirmButton,
      onPress: rightButtonCallback
    }, rightButtonLabel !== null && rightButtonLabel !== void 0 ? rightButtonLabel : 'No')))))));
  };

  const renderModelCustomContent = titleStyle => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, _extends({
      animationType: "slide",
      transparent: true,
      onRequestClose: close
    }, props), /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
      translucent: true,
      backgroundColor: "rgba(0, 0, 0, 0.5)"
    }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      style: _styles.styles.centeredView,
      onPress: close
    }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _styles.styles.modalView
    }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, showCancelIcon && showCancelIcon && renderCloseButton(), /*#__PURE__*/_react.default.createElement(_nativeBase.Text, {
      style: (titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) !== undefined ? _objectSpread(_objectSpread({}, titleStyle), titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) : titleStyle
    }, title), (hideDivider === undefined || !hideDivider) && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _styles.styles.horizontalLine
    }), children, /*#__PURE__*/_react.default.createElement(_Button.Button, {
      type: buttonType,
      style: _styles.styles.button,
      onPress: onButtonConfirm
    }, buttonText !== null && buttonText !== void 0 ? buttonText : 'Return'))))));
  };

  switch (type) {
    case 'custom':
      return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, _extends({
        animationType: "slide",
        transparent: true
      }, props, {
        onRequestClose: close
      }), /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
        translucent: true,
        backgroundColor: "rgba(0, 0, 0, 0.5)"
      }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
        style: _styles.styles.centeredView,
        onPress: close
      }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: _styles.styles.modalViewx
      }, showCancelIcon && showCancelIcon && renderCloseButton(), children))));

    case 'customContent':
      return renderModelCustomContent(_styles.styles.defaultTitle);

    case 'confirmModal':
      return renderModelConfirm(_styles.styles.defaultTitle, _styles.styles.defaultText);

    default:
      return renderModalDefault(_styles.styles.defaultTitle, _styles.styles.defaultText);
  }
};

exports.Modal = Modal;
//# sourceMappingURL=Modal.js.map