"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = void 0;

var _reactNative = require("react-native");

var _ThemeConfig = require("../../Configurations/ThemeConfig");

const styles = _reactNative.StyleSheet.create({
  modalView: {
    flex: 0,
    width: '90%',
    maxHeight: '90%',
    backgroundColor: '#F2F2F2',
    borderRadius: 10,
    padding: 10
  },
  modalViewx: {
    flex: 1,
    maxHeight: '90%',
    width: '90%',
    backgroundColor: '#F2F2F2',
    borderRadius: 10,
    padding: 10
  },
  centeredView: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    // marginTop: 22,
    backgroundColor: 'rgba(0, 0, 0, 0.5)'
  },
  button: {
    alignSelf: 'center',
    width: '80%'
  },
  defaultTitle: {
    textAlign: 'center',
    fontSize: 20
  },
  horizontalLine: {
    borderBottomWidth: 1,
    width: '80%',
    alignSelf: 'center',
    margin: 5
  },
  defaultText: {
    textAlign: 'center',
    margin: 10,
    alignSelf: 'center'
  },
  confirmButton: {
    width: '40%',
    margin: '5%'
  },
  modalContainer: {
    alignItems: 'center',
    padding: 5
  },
  modalContent: {
    alignContent: 'center',
    alignItems: 'center',
    textAlign: 'center',
    flex: 1
  },
  modalText: {
    fontSize: _ThemeConfig.FontSizes.titleTwo,
    color: _ThemeConfig.colors.black,
    textAlign: 'center',
    padding: 50
  },
  modalSubTitle: {
    fontSize: _ThemeConfig.FontSizes.titleThree
  },
  modalTitle: {
    color: _ThemeConfig.colors.black,
    fontWeight: 'bold',
    fontSize: _ThemeConfig.FontSizes.titleOne,
    textAlign: 'center',
    margin: '3%'
  },
  rowBox: {
    flexDirection: 'row',
    alignItems: 'center'
  }
});

exports.styles = styles;
//# sourceMappingURL=styles.js.map