"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tag = void 0;

var _react = _interopRequireDefault(require("react"));

var _nativeBase = require("native-base");

var _ThemeConfig = require("../../Configurations/ThemeConfig");

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Tag = props => {
  const {
    title,
    themeColor,
    fontColor,
    styles,
    width,
    height,
    textStyles
  } = props;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      backgroundColor: themeColor !== null && themeColor !== void 0 ? themeColor : _ThemeConfig.ButtonColors.primary,
      alignSelf: 'flex-start',
      paddingVertical: 8,
      paddingRight: 7,
      paddingLeft: 10,
      margin: 5,
      borderRadius: 5,
      width: width !== null && width !== void 0 ? width : 'auto',
      height: height !== null && height !== void 0 ? height : 'auto'
    }, styles]
  }, /*#__PURE__*/_react.default.createElement(_nativeBase.Text, {
    style: [{
      fontWeight: 'bold',
      fontSize: 15,
      lineHeight: 16,
      textAlign: 'left',
      color: fontColor !== null && fontColor !== void 0 ? fontColor : 'white'
    }, textStyles]
  }, title));
};

exports.Tag = Tag;
//# sourceMappingURL=Tag.js.map