"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Title = void 0;

var _react = _interopRequireDefault(require("react"));

var _nativeBase = require("native-base");

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const styles = _reactNative.StyleSheet.create({
  one: {
    color: 'white',
    fontSize: 30
  },
  two: {
    color: 'white',
    fontSize: 25
  }
});

const Title = props => {
  const {
    text,
    style,
    type,
    onPress,
    action
  } = props;

  const getStyle = () => {
    switch (type) {
      case 'one':
        return styles.one;

      case 'two':
        return styles.two;

      default:
        return styles.one;
    }
  };

  if (action && action === 'touchable') {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: onPress
    }, /*#__PURE__*/_react.default.createElement(_nativeBase.Label, {
      style: [getStyle(), style && style]
    }, text));
  }

  return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, {
    style: [getStyle(), style && style]
  }, text);
};

exports.Title = Title;
//# sourceMappingURL=Title.js.map