function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import InputAdapter from './adapters/InputAdapter';
import SelectAdapter from './adapters/SelectAdapter';
import TextareaAdapter from './adapters/TextareaAdapter';
import MultiSelectAdapter from './adapters/MultiSelectAdapter';
import ImagePickerAdapter from './adapters/ImagePickerAdapter';
import MultiSelectTreeAdapter from './adapters/MultiSelectTreeAdapter';
export default class CommonAdapters {
  static all() {
    return [{
      name: 'string',
      // eslint-disable-next-line react/display-name
      render: (field, props) => {
        return /*#__PURE__*/React.createElement(InputAdapter, _extends({}, props, {
          field: field
        }));
      }
    }, {
      name: 'textarea',
      // eslint-disable-next-line react/display-name
      render: (field, props) => {
        return /*#__PURE__*/React.createElement(TextareaAdapter, _extends({}, props, {
          field: field
        }));
      }
    }, {
      name: 'select',
      // eslint-disable-next-line react/display-name
      render: (field, props) => {
        return /*#__PURE__*/React.createElement(SelectAdapter, _extends({}, props, {
          field: field
        }));
      }
    }, {
      name: 'multi-select',
      // eslint-disable-next-line react/display-name
      render: (field, props) => {
        return /*#__PURE__*/React.createElement(MultiSelectAdapter, _extends({}, props, {
          field: field
        }));
      }
    }, {
      name: 'multi-select-tree',
      // eslint-disable-next-line react/display-name
      render: (field, props) => {
        return /*#__PURE__*/React.createElement(MultiSelectTreeAdapter, _extends({}, props, {
          field: field
        }));
      }
    }, {
      name: 'image-picker',
      // eslint-disable-next-line react/display-name
      render: (field, props) => {
        return /*#__PURE__*/React.createElement(ImagePickerAdapter, _extends({}, props, {
          field: field
        }));
      }
    }];
  }

  static allValidators() {
    return [{
      name: 'equals',
      message: 'Should be equals',
      validator: async (rule, value, form) => {
        if (form.getFieldValue(rule.to) !== value) {
          throw Error('Not equal');
        }
      }
    }];
  }

}
//# sourceMappingURL=CommonAdapters.js.map