function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { useEffect, useState } from 'react';
import { styles } from './MutlitSelectStyles';
import { Item, Label, Text, View } from 'native-base';
import { ScrollView, TouchableOpacity } from 'react-native';
import Icon from 'react-native-vector-icons/AntDesign';
import { SelectSearchBar } from './SelectSearchBar';
import { borderedInputVariables, primaryInputVariables } from '../../Configurations/ThemeConfig';
export const MultiSelectDropDown = props => {
  const {
    label,
    labelProps,
    pickerList,
    onChange,
    placeholder,
    value,
    type,
    tagColor
  } = props;
  const [showPickerList, setShowPickerList] = useState(false);
  const [pickedList, setPickedList] = useState([]);
  const [dataList, setDataList] = useState([]);
  useEffect(() => {
    setDataList(pickerList);
  }, [pickerList]);

  const onSelect = (value, selected) => {
    const index = dataList.findIndex(value1 => value1.value === value.value);
    const temp = dataList.slice();
    temp[index] = _objectSpread(_objectSpread({}, value), {}, {
      isSelected: selected
    });
    setDataList(temp);
  };

  const removeItem = val => {
    const temp = pickedList.filter(item => item.value !== val.value);
    onSelect(val, false);
    setPickedList(temp);
    onChange(temp.map(item => item.value));
  };

  const renderTags = placeholderColor => {
    if (pickedList.length === 0) {
      return /*#__PURE__*/React.createElement(Text, {
        style: {
          marginTop: 5,
          marginBottom: 5,
          color: placeholderColor !== null && placeholderColor !== void 0 ? placeholderColor : '#C4C4C4'
        }
      }, placeholder !== null && placeholder !== void 0 ? placeholder : 'Click to select');
    }

    return pickedList.map((item, index) => {
      return /*#__PURE__*/React.createElement(View, {
        style: [styles.tagContainer, {
          backgroundColor: tagColor !== null && tagColor !== void 0 ? tagColor : '#FD8282'
        }],
        key: index
      }, /*#__PURE__*/React.createElement(Text, {
        style: {
          marginRight: 5,
          color: 'white'
        },
        numberOfLines: 1,
        onPress: () => setShowPickerList(!showPickerList)
      }, item.label), /*#__PURE__*/React.createElement(TouchableOpacity, {
        style: {
          paddingLeft: 20,
          paddingRight: 20
        },
        onPress: () => removeItem(item)
      }, /*#__PURE__*/React.createElement(Icon, {
        style: {
          color: 'white',
          fontSize: 15
        },
        name: 'closecircleo'
      })));
    });
  };

  const onComplete = val => {
    setPickedList(val);
    onChange(val.map(item => item.value));
  };

  useEffect(() => {
    if (value && value.length > 0) {
      const temp = pickerList.filter(item => value.includes(item.value));
      setPickedList(temp);
      const tem = pickerList.slice();

      for (const val of value) {
        const ind = tem.findIndex(itm => itm.value === val);
        tem[ind] = _objectSpread(_objectSpread({}, tem[ind]), {}, {
          isSelected: true
        });
      }

      setDataList(tem);
    }
  }, [pickerList, value]);

  const renderElement = (selectStyleX, labelStyle, placeholderColor) => {
    return /*#__PURE__*/React.createElement(Item, {
      stackedLabel: label !== undefined,
      style: styles.itemStyle
    }, label && /*#__PURE__*/React.createElement(Label, _extends({}, labelProps, {
      style: (labelProps === null || labelProps === void 0 ? void 0 : labelProps.style) ? _objectSpread(_objectSpread({}, labelStyle), labelProps === null || labelProps === void 0 ? void 0 : labelProps.style) : labelStyle
    }), label), pickedList.length === 0 ? /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: styles.default,
      onPress: () => setShowPickerList(!showPickerList)
    }, /*#__PURE__*/React.createElement(View, {
      style: [selectStyleX, {
        padding: 8
      }]
    }, renderTags(placeholderColor))) : /*#__PURE__*/React.createElement(TouchableOpacity // style={{ width: '100%', backgroundColor: 'blue'}}
    , {
      onPress: () => setShowPickerList(!showPickerList)
    }, /*#__PURE__*/React.createElement(View, {
      style: [styles.default, selectStyleX, {
        flexDirection: 'row',
        padding: 6
      }],
      onStartShouldSetResponder: () => true
    }, /*#__PURE__*/React.createElement(ScrollView, {
      horizontal: true
    }, /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: {
        alignSelf: 'stretch',
        flexDirection: 'row'
      },
      onPress: () => setShowPickerList(!showPickerList)
    }, renderTags(placeholderColor)), /*#__PURE__*/React.createElement(Text, {
      style: [{
        alignSelf: 'stretch',
        color: 'transparent'
      }],
      onPress: () => setShowPickerList(!showPickerList)
    }, ' ', "************* **********")))), /*#__PURE__*/React.createElement(SelectSearchBar, {
      onSelect: onSelect,
      onComplete: onComplete,
      data: dataList,
      showModal: showPickerList,
      closeModal: () => setShowPickerList(false),
      value: pickedList
    }));
  };

  switch (type) {
    case 'bordered':
      return renderElement(_objectSpread({}, styles.bordered), _objectSpread(_objectSpread({}, styles.textDefault), {}, {
        color: borderedInputVariables.labelColor,
        marginLeft: 10,
        fontWeight: 'bold'
      }), borderedInputVariables.placeholderColor);

    default:
      return renderElement(styles.multiSelect, styles.textDefault, primaryInputVariables.placeholderColor);
  }
};
//# sourceMappingURL=MultiSelectDropDown.js.map