function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { useContext, useEffect, useState } from 'react';
import { Item, Label, Text, View } from 'native-base';
import { ScrollView, TouchableOpacity } from 'react-native';
import Icon from 'react-native-vector-icons/AntDesign';
import { styles } from './style';
import { DropdownList } from './DropdownList';
import TreeDropdownContext from './TreeDropdownContext';
import { borderedInputVariables, ButtonColors, primaryInputVariables } from '../../Configurations/ThemeConfig';
export const TreeDropdown = props => {
  const {
    label,
    labelProps,
    pickerList,
    onChange,
    value,
    type,
    childName,
    parentName,
    placeholder,
    shadow
  } = props;
  const [showPickerList, setShowPickerList] = useState(false);
  const context = useContext(TreeDropdownContext).current;
  const {
    removeTag,
    setSelectedList,
    selectedList
  } = context;
  useEffect(() => {
    if (value) {
      setSelectedList(value);
    }
  }, [value]);

  const renderTags = placeholderColor => {
    if (selectedList.length === 0) {
      return /*#__PURE__*/React.createElement(Text, {
        onPress: () => setShowPickerList(!showPickerList),
        style: {
          marginTop: 5,
          marginBottom: 5,
          color: placeholderColor !== null && placeholderColor !== void 0 ? placeholderColor : '#C4C4C4'
        }
      }, placeholder !== null && placeholder !== void 0 ? placeholder : 'Click to select');
    }

    return selectedList.map((item, ind) => {
      const originalVal = pickerList.find(clr => clr.parent.value === item[parentName]);
      return item[childName].map((val, index) => {
        var _originalVal$color, _originalVal$children;

        return /*#__PURE__*/React.createElement(View, {
          style: [styles.tagContainer, {
            backgroundColor: (_originalVal$color = originalVal === null || originalVal === void 0 ? void 0 : originalVal.color) !== null && _originalVal$color !== void 0 ? _originalVal$color : ButtonColors.primary
          }],
          key: "".concat(ind).concat(index)
        }, /*#__PURE__*/React.createElement(Text, {
          numberOfLines: 1,
          onPress: () => setShowPickerList(!showPickerList),
          style: {
            color: 'white'
          }
        }, originalVal === null || originalVal === void 0 ? void 0 : originalVal.parent.label, " ", " ", ' ', originalVal === null || originalVal === void 0 ? void 0 : (_originalVal$children = originalVal.children.find(x => x.value === val)) === null || _originalVal$children === void 0 ? void 0 : _originalVal$children.label), /*#__PURE__*/React.createElement(TouchableOpacity, {
          style: {
            paddingLeft: 20,
            paddingRight: 20
          },
          onPress: () => removeTag({
            action: 'remove',
            childId: val,
            parentId: item[parentName]
          })
        }, /*#__PURE__*/React.createElement(Icon, {
          style: {
            color: 'white',
            fontSize: 15
          },
          name: 'closecircleo'
        })));
      });
    });
  };

  const onComplete = val => {
    onChange(val.length === 0 ? undefined : val);
    setSelectedList(val);
  };

  const renderElement = (selectStyleX, labelStyle, placeholderColor) => {
    selectStyleX = shadow ? _objectSpread(_objectSpread({}, selectStyleX), styles.shadow) : selectStyleX;
    return /*#__PURE__*/React.createElement(Item, {
      stackedLabel: label !== undefined,
      style: styles.itemStyle
    }, label && /*#__PURE__*/React.createElement(Label, _extends({}, labelProps, {
      style: (labelProps === null || labelProps === void 0 ? void 0 : labelProps.style) ? _objectSpread(_objectSpread({}, labelStyle), labelProps === null || labelProps === void 0 ? void 0 : labelProps.style) : labelStyle
    }), label), /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: styles.default,
      onPress: () => setShowPickerList(!showPickerList)
    }, selectedList.length === 0 ? /*#__PURE__*/React.createElement(View, {
      style: selectStyleX
    }, /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: [{
        flexDirection: 'row'
      }]
    }, renderTags(placeholderColor))) : /*#__PURE__*/React.createElement(View, {
      onStartShouldSetResponder: () => true,
      style: selectStyleX
    }, /*#__PURE__*/React.createElement(ScrollView, {
      horizontal: true,
      style: {
        flexDirection: 'row',
        flex: 1
      }
    }, /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: [{
        flexDirection: 'row'
      }],
      onPress: () => setShowPickerList(!showPickerList)
    }, renderTags()), /*#__PURE__*/React.createElement(Text, {
      style: [{
        alignSelf: 'stretch',
        color: 'transparent'
      }],
      onPress: () => setShowPickerList(!showPickerList)
    }, ' ', "************* **********"))), /*#__PURE__*/React.createElement(DropdownList, {
      onChange: onComplete,
      parentName: parentName,
      childName: childName,
      data: pickerList,
      showModal: showPickerList,
      closeModal: () => setShowPickerList(false),
      value: value
    })));
  };

  switch (type) {
    case 'bordered':
      return renderElement(_objectSpread({}, styles.bordered), _objectSpread(_objectSpread({}, styles.textDefault), {}, {
        color: borderedInputVariables.labelColor,
        marginLeft: 10,
        fontWeight: 'bold'
      }), borderedInputVariables.placeholderColor);

    default:
      return renderElement(styles.multiSelect, styles.textDefault, primaryInputVariables.placeholderColor);
  }
};
//# sourceMappingURL=TreeDropdown.js.map