import React, { useState } from 'react';
const TreeDropdownContext = React.createContext({});
export const TreeDropdownContextProvider = props => {
  const {
    children,
    childName,
    parentName
  } = props;
  const [selectedList, setSelectedList] = useState([]);

  const selectChild = (childId, parentId) => {
    const temp = selectedList.slice();

    if (temp.length === 0) {
      temp.push({
        [parentName]: parentId,
        [childName]: [childId]
      });
    } else {
      const i = temp.findIndex(val => val[parentName] === parentId);

      if (i > -1) {
        const v = temp[i];
        const childI = v[childName].findIndex(val => val === childId);

        if (childI > -1) {
          if (v[childName].length === 1) {
            temp.splice(i, 1);
          } else {
            v[childName].splice(childI, 1);
            temp[i] = v;
          }
        } else {
          v[childName].push(childId);
          temp[i] = v;
        }
      } else {
        temp.push({
          [parentName]: parentId,
          [childName]: [childId]
        });
      }
    }

    setSelectedList(temp); // console.log('furious ', temp);
  };

  const removeTag = item => {
    const temp = selectedList.slice();
    const x = temp.findIndex(val => val[parentName] === item.parentId);

    if (x === -1) {
      return;
    }

    const ind = temp[x][childName].findIndex(itm => itm === item.childId);

    if (ind > -1) {
      if (temp[x][childName].length === 1) {
        temp.splice(x, 1);
      } else {
        temp[x][childName].splice(ind, 1);
      }
    }

    setSelectedList(temp);
  };

  return /*#__PURE__*/React.createElement(TreeDropdownContext.Provider, {
    value: {
      current: {
        setSelectedList,
        selectedList,
        selectChild,
        removeTag
      }
    }
  }, children);
};
export default TreeDropdownContext;
//# sourceMappingURL=TreeDropdownContext.js.map