function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { Textarea as TextareaX, Item, Label } from 'native-base';
import { styles } from './styles';
import { borderedInputVariables, primaryInputVariables } from '../../Configurations/ThemeConfig';
export const Textarea = props => {
  const {
    type,
    label,
    labelProps,
    style,
    TextareaStyle,
    shadow
  } = props;

  const propsX = _objectSpread({}, props);

  propsX.style = TextareaStyle;
  delete propsX.labelProps;
  delete propsX.type;
  delete propsX.label;
  delete propsX.TextareaStyle;

  const renderElement = (inputStyleX, labelStyle, placeholderTextColor) => {
    inputStyleX = shadow ? _objectSpread(_objectSpread({}, inputStyleX), styles.shadow) : inputStyleX;
    return /*#__PURE__*/React.createElement(Item, {
      stackedLabel: label !== undefined,
      style: style !== undefined ? _objectSpread(_objectSpread({}, styles.itemStyle), style) : styles.itemStyle
    }, label && /*#__PURE__*/React.createElement(Label, _extends({}, labelProps, {
      style: (labelProps === null || labelProps === void 0 ? void 0 : labelProps.style) ? _objectSpread(_objectSpread({}, labelStyle), labelProps.style) : labelStyle
    }), label), /*#__PURE__*/React.createElement(TextareaX, _extends({}, propsX, {
      placeholderTextColor: placeholderTextColor !== null && placeholderTextColor !== void 0 ? placeholderTextColor : '#C4C4C4',
      style: TextareaStyle ? _objectSpread(_objectSpread({}, inputStyleX), TextareaStyle) : inputStyleX
    })));
  };

  switch (type) {
    case 'material':
      return renderElement(styles.material, styles.textMaterial);

    case 'bordered':
      return renderElement(styles.bordered, _objectSpread(_objectSpread({}, styles.textDefault), {}, {
        color: '#979797',
        marginLeft: 10,
        fontWeight: 'bold'
      }), borderedInputVariables.placeholderColor);

    default:
      return renderElement(styles.default, styles.textDefault, primaryInputVariables.placeholderColor);
  }
};
//# sourceMappingURL=TextArea.js.map