function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { Button } from '../button/Button';
import Icon from 'react-native-vector-icons/AntDesign';
import { Modal as ModalX, StatusBar, View, ScrollView, TouchableOpacity, TouchableWithoutFeedback } from 'react-native';
import { Text } from 'native-base';
import { styles } from './styles';
export const Modal = props => {
  const {
    children,
    close,
    text,
    title,
    titleProps,
    textProps,
    buttonType,
    buttonText,
    onButtonConfirm,
    hideDivider,
    type,
    confirmModalProps,
    showCancelIcon,
    modalViewStyle
  } = props;

  const renderCloseButton = () => {
    return /*#__PURE__*/React.createElement(View, {
      style: {
        position: 'absolute',
        left: 0,
        top: 0,
        zIndex: 5,
        margin: 5
      }
    }, /*#__PURE__*/React.createElement(TouchableOpacity, {
      onPress: () => close(),
      style: {
        width: 50,
        height: 50
      }
    }, /*#__PURE__*/React.createElement(Icon, {
      name: 'close',
      style: {
        fontSize: 25
      }
    })));
  };

  const renderModalDefault = (titleStyle, textStyle) => {
    return /*#__PURE__*/React.createElement(ModalX, _extends({
      animationType: "slide",
      transparent: true,
      onRequestClose: close
    }, props), /*#__PURE__*/React.createElement(StatusBar, {
      translucent: true,
      backgroundColor: "rgba(0, 0, 0, 0.5)"
    }), /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: styles.centeredView,
      onPress: close
    }, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, null, /*#__PURE__*/React.createElement(View, {
      style: [styles.modalView, modalViewStyle]
    }, /*#__PURE__*/React.createElement(ScrollView, null, showCancelIcon && showCancelIcon && renderCloseButton(), /*#__PURE__*/React.createElement(Text, {
      style: (titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) !== undefined ? _objectSpread(_objectSpread({}, titleStyle), titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) : titleStyle
    }, title), (hideDivider === undefined || !hideDivider) && /*#__PURE__*/React.createElement(View, {
      style: styles.horizontalLine
    }), /*#__PURE__*/React.createElement(Text, {
      style: (textProps === null || textProps === void 0 ? void 0 : textProps.style) !== undefined ? _objectSpread(_objectSpread({}, textStyle), textProps === null || textProps === void 0 ? void 0 : textProps.style) : textStyle
    }, text), /*#__PURE__*/React.createElement(Button, {
      type: buttonType,
      style: styles.button,
      onPress: onButtonConfirm
    }, buttonText !== null && buttonText !== void 0 ? buttonText : 'Return'), children)))));
  };

  const renderModelConfirm = (titleStyle, textStyle) => {
    const {
      rightButtonLabel,
      leftButtonLabel,
      leftButtonCallback,
      rightButtonCallback,
      leftButtonType,
      rightButtonType
    } = confirmModalProps;
    return /*#__PURE__*/React.createElement(ModalX, _extends({
      animationType: "slide",
      transparent: true,
      onRequestClose: close
    }, props), /*#__PURE__*/React.createElement(StatusBar, {
      translucent: true,
      backgroundColor: "rgba(0, 0, 0, 0.5)"
    }), /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: styles.centeredView,
      onPress: close
    }, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, null, /*#__PURE__*/React.createElement(View, {
      style: styles.modalView
    }, /*#__PURE__*/React.createElement(ScrollView, null, showCancelIcon && showCancelIcon && renderCloseButton(), /*#__PURE__*/React.createElement(Text, {
      style: (titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) !== undefined ? _objectSpread(_objectSpread({}, titleStyle), titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) : titleStyle
    }, title), (hideDivider === undefined || !hideDivider) && /*#__PURE__*/React.createElement(View, {
      style: styles.horizontalLine
    }), /*#__PURE__*/React.createElement(Text, {
      style: (textProps === null || textProps === void 0 ? void 0 : textProps.style) !== undefined ? _objectSpread(_objectSpread({}, textStyle), textProps === null || textProps === void 0 ? void 0 : textProps.style) : textStyle
    }, text), /*#__PURE__*/React.createElement(View, {
      style: styles.rowBox
    }, /*#__PURE__*/React.createElement(Button, {
      type: leftButtonType !== null && leftButtonType !== void 0 ? leftButtonType : 'success',
      style: styles.confirmButton,
      onPress: leftButtonCallback
    }, leftButtonLabel !== null && leftButtonLabel !== void 0 ? leftButtonLabel : 'Yes'), /*#__PURE__*/React.createElement(Button, {
      type: rightButtonType !== null && rightButtonType !== void 0 ? rightButtonType : 'danger',
      style: styles.confirmButton,
      onPress: rightButtonCallback
    }, rightButtonLabel !== null && rightButtonLabel !== void 0 ? rightButtonLabel : 'No')))))));
  };

  const renderModelCustomContent = titleStyle => {
    return /*#__PURE__*/React.createElement(ModalX, _extends({
      animationType: "slide",
      transparent: true,
      onRequestClose: close
    }, props), /*#__PURE__*/React.createElement(StatusBar, {
      translucent: true,
      backgroundColor: "rgba(0, 0, 0, 0.5)"
    }), /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: styles.centeredView,
      onPress: close
    }, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, null, /*#__PURE__*/React.createElement(View, {
      style: styles.modalView
    }, /*#__PURE__*/React.createElement(ScrollView, null, showCancelIcon && showCancelIcon && renderCloseButton(), /*#__PURE__*/React.createElement(Text, {
      style: (titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) !== undefined ? _objectSpread(_objectSpread({}, titleStyle), titleProps === null || titleProps === void 0 ? void 0 : titleProps.style) : titleStyle
    }, title), (hideDivider === undefined || !hideDivider) && /*#__PURE__*/React.createElement(View, {
      style: styles.horizontalLine
    }), children, /*#__PURE__*/React.createElement(Button, {
      type: buttonType,
      style: styles.button,
      onPress: onButtonConfirm
    }, buttonText !== null && buttonText !== void 0 ? buttonText : 'Return'))))));
  };

  switch (type) {
    case 'custom':
      return /*#__PURE__*/React.createElement(ModalX, _extends({
        animationType: "slide",
        transparent: true
      }, props, {
        onRequestClose: close
      }), /*#__PURE__*/React.createElement(StatusBar, {
        translucent: true,
        backgroundColor: "rgba(0, 0, 0, 0.5)"
      }), /*#__PURE__*/React.createElement(TouchableOpacity, {
        style: styles.centeredView,
        onPress: close
      }, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, null, /*#__PURE__*/React.createElement(View, {
        style: styles.modalViewx
      }, showCancelIcon && showCancelIcon && renderCloseButton(), children))));

    case 'customContent':
      return renderModelCustomContent(styles.defaultTitle);

    case 'confirmModal':
      return renderModelConfirm(styles.defaultTitle, styles.defaultText);

    default:
      return renderModalDefault(styles.defaultTitle, styles.defaultText);
  }
};
//# sourceMappingURL=Modal.js.map