function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { View, Spinner as SpinnerX } from 'native-base';
import { Modal, TouchableOpacity } from 'react-native';
import { colors } from '../../Configurations/ThemeConfig';
export const Spinner = props => {
  const {
    themeColor,
    spaceColor,
    styles,
    type,
    background
  } = props;

  const propsX = _objectSpread({}, props);

  delete propsX.type;
  delete propsX.spaceColor;
  delete propsX.themeColor;
  delete propsX.styles;

  switch (type) {
    case 'full':
    default:
      return /*#__PURE__*/React.createElement(Modal, {
        transparent: true
      }, /*#__PURE__*/React.createElement(TouchableOpacity, {
        style: {
          alignContent: 'center',
          justifyContent: 'center',
          // backgroundColor: 'transparent',
          backgroundColor: background !== null && background !== void 0 ? background : 'rgba(0, 0, 0, 0.4)',
          flex: 1,
          height: '100%',
          width: '100%'
        }
      }, /*#__PURE__*/React.createElement(View, {
        style: [{
          backgroundColor: spaceColor !== null && spaceColor !== void 0 ? spaceColor : colors.white,
          width: 90,
          height: 90,
          borderRadius: 12,
          justifyContent: 'center',
          alignItems: 'center',
          alignSelf: 'center',
          zIndex: 10
        }, styles]
      }, /*#__PURE__*/React.createElement(SpinnerX, _extends({}, propsX, {
        style: {
          paddingTop: 0
        },
        color: themeColor,
        size: 'large'
      })))));

    case 'spinner-only':
      return /*#__PURE__*/React.createElement(View, {
        style: [{
          backgroundColor: spaceColor !== null && spaceColor !== void 0 ? spaceColor : 'white',
          width: 90,
          height: 90,
          borderRadius: 12,
          justifyContent: 'center',
          alignItems: 'center',
          alignSelf: 'center',
          zIndex: 10
        }, styles]
      }, /*#__PURE__*/React.createElement(SpinnerX, _extends({}, propsX, {
        style: {
          paddingTop: 0
        },
        color: themeColor,
        size: 'large'
      })));
  }
};
//# sourceMappingURL=Spinner.js.map