import { FC } from 'react';
import { NativeBase } from 'native-base';
import { ItemProp } from '../MultiSelect/MultiSelectDropDown';
export declare type TreeItemProp = {
    parent: ItemProp;
    children: ItemProp[];
    color?: string;
};
export declare type RemoveItemProps = {
    parentId: string;
    childId: string;
    action: 'remove' | 'neutral';
};
export declare type TreeDropdownProps = {
    type: 'bordered' | 'primary';
    pickerList: TreeItemProp[];
    parentName: string;
    childName: string;
    label?: string;
    labelProps?: NativeBase.Label;
    onChange: (val?: string[]) => void;
    validationInfo?: string[];
    value?: any[];
    placeholder?: string;
    shadow?: boolean;
};
export declare const TreeDropdown: FC<TreeDropdownProps>;
