import { FC, ReactNode } from 'react';
import { ModalProps } from 'react-native';
import { ButtonTypeProps } from '../button/Button';
export declare type ConfirmModalProps = {
    rightButtonLabel?: string;
    leftButtonLabel?: string;
    leftButtonCallback: () => void;
    rightButtonCallback: () => void;
    leftButtonType?: ButtonTypeProps;
    rightButtonType?: ButtonTypeProps;
};
declare type Props = ModalProps & {
    title: string;
    type?: 'custom' | 'customContent' | 'confirmModal';
    message?: string;
    text?: string;
    titleProps?: any;
    textProps?: any;
    buttonText?: string;
    buttonType?: ButtonTypeProps;
    onButtonConfirm?: () => void;
    hideDivider?: boolean;
    close?: any;
    children?: ReactNode;
    confirmModalProps?: ConfirmModalProps;
    showCancelIcon?: boolean;
    modalViewStyle?: {
        [key: string]: string | number;
    };
};
export declare const Modal: FC<Props>;
export {};
